# simple-footerbar


## Install
    npm install simple-footerbar

## Qucik Start

### 一、html模板。

```
<template>
    <footer-bar 
        :items='itemsssss'
        :showIcons='showIcons'
        :selected_id='selected_id'
        @change="changeeee"
    >
    </footer-bar>
<template>
```
此处showIcons可以不传,默认为false(不适用阿里图标库).传入true可支持阿里图标库

### 二、script标签

(1)若不使用阿里图标库，则不需要传入showIcons，需要使用则传入true。(不过还是传一下最好不然可能会报错。。。。。）<br>
(2)selected_id直接传入0即可,不必操作<br>
(3)items一组数据，name中填写底部栏的名字,push内写路由子路径，src_selected需提供选中与未选中的图标页面链接。<br>
(4)需要几栏则传入几栏,页面是flex布局会自动适配，响应式也适配移动端与pc页面

```
<script>
import FooterBar from  'simple-footerbar';
export default {
    components: {
        FooterBar
    },
    data(){
        return{
            showIcons:false, 
            selected_id:0,
            itemsssss: [
            {
                name:'首页1',
                push:"/shouye1",
                // icon:'iconfont icon-shouye',
                src_selected:require('./assets/首页-选中.png'),
                src_unselected:require('./assets/首页-未选.png'),
            },{
                name:'首页2',
                push:"/shouye2",
                // icon:'iconfont icon-shouye',
                src_selected:require('./assets/首页-选中.png'),
                src_unselected:require('./assets/首页-未选.png'),
            }],
        }
    },
    //回调方法不可少，因为需要获取子组件id确定选中状态
    methods:{
        changeeee(index){
            this.selected_id=index;// selectid赋值了 然后同步子组件那边qwq
        }
    },
}
<script>
```

### 三、使用静态图片路径需注意

- 如果是在assets目录下需要加require
    - 例: src_selected: require('../assets/首页-选中.png'),
- 如果是static目录下静态图片则不用
    - 例:  src_selected:'static/首页-选中.png',

### 四、vue路由
组件使用的webpack-simple搭建，引入后需要自己定义路由 直接把子路由路径在数据中心写入'push'字段即可，直接标签引入样式可以保持  但没有数据会报错 
    

### 五、使用iconfont图标指南()
    直接传入  icon:'iconfont icon-shouye', 
    后面是icon名字即可。
    可以直接link到在线链接，如<link rel="stylesheet" type="text/css" href="http://at.alicdn.com/t/font_1506652_gu6ynvavag7.css" > 
    可查看博文教程 https://blog.csdn.net/JCAL123/article/details/99561835 

## main.js 全局安装：
    import FooterBar from 'simple-footerbar'
    Vue.use(FooterBar)
    然后在其他.vue文件里面，直接使用组件 <footerbar/> 即可 
    但是因为是底部导航栏 所以不推荐这种方式~ 还要传数据什么的 一般好像在App.vue引用一下就好了 其他的也用不到
